/*
 * $Id$
 *
 * Copyright and User License
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright 2006-2019 CERN and INFN
 * 
 *
 * Please consult the LICENSE file for the license 
 *
 * DISCLAIMER
 * ~~~~~~~~~~
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, OF
 * SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE
 * OR USE ARE DISCLAIMED. THE COPYRIGHT HOLDERS AND THE
 * AUTHORS MAKE NO REPRESENTATION THAT THE SOFTWARE AND
 * MODIFICATIONS THEREOF, WILL NOT INFRINGE ANY PATENT,
 * COPYRIGHT, TRADE SECRET OR OTHER PROPRIETARY RIGHT.
 *
 * LIMITATION OF LIABILITY
 * ~~~~~~~~~~~~~~~~~~~~~~~
 * THE COPYRIGHT HOLDERS AND THE AUTHORS SHALL HAVE NO
 * LIABILITY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL,
 * CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY
 * CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS,
 * OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY
 * OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT
 * LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGES.
 *
 * Author:	Vasilis.Vlachoudis@cern.ch
 * Date:	04-Feb-2010
 */

#ifndef __EPS_H
#define __EPS_H

#define ZERO		1.0e-30
#define TOOSMALL	1.0e-20
#define SMALL		1.0e-15
#define SMALL1		(10.0*SMALL)
#define SMALL2		(100.0*SMALL)
#define SMALL3		(1000.0*SMALL)
#define SMALL4		(10000.0*SMALL)
#define SMALL5		(100000.0*SMALL)

#define SMALL3D		1.0e-10
#define SMALL3D1	(10.0*SMALL3D)
#define SMALL3D2	(100.0*SMALL3D)
#define SMALL3D3	(1000.0*SMALL3D)
#define SMALL3D4	(10000.0*SMALL3D)

#define INFINITE	1.0e+15

#define FLOATSMALL	1.0e-7
#define FLOATBIG        1.0e10

#define ISZERO(x)	Eq0(x,TOOSMALL)
#define ISSMALL(x)	Eq0(x,SMALL)
#define ISEQ(x,v)	Eq(x,v,TOOSMALL)

#endif
